package com.google.android.apps.work.dpcsupport;

/** Constants related to Play Services and Play Store. */
public class PlayServicesAndStoreConstants {

  // The minimum version of the Play Store which support Android for Work accounts and updating Play
  // Services programmatically. Public version string: 7.1.11.I-all [0] [PR] 135311799
  static final int PLAY_STORE_MIN_VERSION = 80711100;
  // The preferred Play Store version, we try to update if the installed version is older.
  // Hosted version is 24.2.15. This version includes improvements to personal side apps policy for
  // devices enrolled in COPE, to ensure the policy takes effect quickly.
  // See b/176918174#comment50 for context.
  static final int PLAY_STORE_PREFERRED_VERSION = 82421500;
  // The minimum Play Service version which supports connectionless WorkAccountApi.
  // v12
  static final int PLAY_SERVICES_MIN_VERSION = 11200000;
  static final String PLAY_SERVICES_MIN_VERSION_READABLE = "11.4.0";
  // The preferred Play Service version, we try to update if the installed version is older.
  // 12800000 - aka v19
  static final int PLAY_SERVICES_PREFERRED_VERSION = 12800000;

  private PlayServicesAndStoreConstants() {}
}
